document.addEventListener('DOMContentLoaded', function() {
  const calculateBtn = document.getElementById('calculate');
  const sliders = document.querySelectorAll('input[type="range"]');
  
  calculateBtn.addEventListener('click', calculateEarnings);
  sliders.forEach(slider => slider.addEventListener('input', updateRecommendation));
  
  function calculateEarnings() {
    const stipend = parseFloat(document.getElementById('stipend').value);
    const subscribers = parseFloat(document.getElementById('subscribers').value);
    const subscription = parseFloat(document.getElementById('subscription').value);
    
    const yearlyOnlyFans = subscribers * subscription * 12 * 0.8; // 80% after platform fees
    const resultDiv = document.getElementById('result');
    
    resultDiv.innerHTML = `
      <h3>Annual Earnings Comparison</h3>
      <p>PhD Stipend: $${stipend.toLocaleString()}</p>
      <p>Potential OnlyFans: $${yearlyOnlyFans.toLocaleString()}</p>
      <p>Difference: $${(yearlyOnlyFans - stipend).toLocaleString()}</p>
    `;
    
    resultDiv.style.animation = 'fadeIn 0.5s ease';
  }
  
  function updateRecommendation() {
    const workLife = parseInt(document.getElementById('work-life').value);
    const income = parseInt(document.getElementById('income').value);
    const prestige = parseInt(document.getElementById('prestige').value);
    
    const phdScore = (prestige * 0.4) + (workLife * 0.3) + (income * 0.3);
    const ofScore = (income * 0.5) + (workLife * 0.4) + (prestige * 0.1);
    
    const recommendationDiv = document.getElementById('recommendation');
    const phdPercentage = (phdScore / (phdScore + ofScore) * 100).toFixed(1);
    const ofPercentage = (ofScore / (phdScore + ofScore) * 100).toFixed(1);
    
    recommendationDiv.innerHTML = `
      <h3>Career Match Analysis</h3>
      <p>PhD Compatibility: ${phdPercentage}%</p>
      <p>OnlyFans Compatibility: ${ofPercentage}%</p>
      <p><strong>${phdScore > ofScore ? 'Stick with your PhD!' : 'Consider the career change!'}</strong></p>
    `;
  }
});

@keyframes fadeIn {
  from { opacity: 0; transform: translateY(10px); }
  to { opacity: 1; transform: translateY(0); }
}
